/*************************************************************************
 *
 * $RCSfile: ILanguage.java,v $
 *
 * $Revision: 1.2 $
 *
 * last change: $Author: cedricbosdo $ $Date: 2007/11/25 20:32:30 $
 *
 * The Contents of this file are made available subject to the terms of
 * the GNU Lesser General Public License Version 2.1
 *
 * Sun Microsystems Inc., October, 2000
 *
 *
 * GNU Lesser General Public License Version 2.1
 * =============================================
 * Copyright 2000 by Sun Microsystems, Inc.
 * 901 San Antonio Road, Palo Alto, CA 94303, USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1, as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 * 
 * The Initial Developer of the Original Code is: Sun Microsystems, Inc..
 *
 * Copyright: 2002 by Sun Microsystems, Inc.
 *
 * All Rights Reserved.
 *
 * Contributor(s): Cedric Bosdonnat
 *
 *
 ************************************************************************/
package org.openoffice.ide.eclipse.core.model.language;

/**
 * This interface has to be implemented to add a new supported language 
 * to the plugin. It only handles the interactions between the 
 * <code>UnoidlProject</code> and the language class.
 * 
 * @author cedricbosdo
 * @see org.openoffice.ide.eclipse.core.internal.model.UnoidlProject
 *
 */
public interface ILanguage {
    
    /**
     * @return the utility class for projects handling.
     */
    public IProjectHandler getProjectHandler();
    
    /**
     * @return the utility class for building.
     */
    public ILanguageBuilder getLanguageBuidler();
    
    /**
     * @return the utility class for UI operation.
     */
    public ILanguageUI getLanguageUI();
}
