/*************************************************************************
 *
 * $RCSfile: NewUnoFileWizard.java,v $
 *
 * $Revision: 1.5 $
 *
 * last change: $Author: cedricbosdo $ $Date: 2007/11/25 20:32:29 $
 *
 * The Contents of this file are made available subject to the terms of
 * the GNU Lesser General Public License Version 2.1
 *
 * Sun Microsystems Inc., October, 2000
 *
 *
 * GNU Lesser General Public License Version 2.1
 * =============================================
 * Copyright 2000 by Sun Microsystems, Inc.
 * 901 San Antonio Road, Palo Alto, CA 94303, USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1, as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 * 
 * The Initial Developer of the Original Code is: Sun Microsystems, Inc..
 *
 * Copyright: 2002 by Sun Microsystems, Inc.
 *
 * All Rights Reserved.
 *
 * Contributor(s): Cedric Bosdonnat
 *
 *
 ************************************************************************/
package org.openoffice.ide.eclipse.core.wizards;

import org.eclipse.core.resources.IFolder;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.IPath;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;
import org.openoffice.ide.eclipse.core.wizards.pages.NewUnoFilePage;

/**
 * Wizard for the creation of UNO-IDL file.
 * 
 * @author cedricbosdo
 *
 */
public class NewUnoFileWizard extends Wizard implements INewWizard {

    private NewUnoFilePage mPage;
    
    private IWorkbench mWorkbench;
    
    /**
     * Default constructor.
     */
    public NewUnoFileWizard() {
        super();
    }

    /**
     * {@inheritDoc}
     */
    public boolean performFinish() {
        
        IPath parentPath = mPage.getContainerFullPath();
        IFolder folder = ResourcesPlugin.getWorkspace().getRoot().getFolder(parentPath);
        
        return NewUnoFilePage.createUnoidlFile(folder, mPage.getFileName(), mWorkbench);
    }

    /**
     * {@inheritDoc}
     */
    public void init(IWorkbench pWorkbench, IStructuredSelection pSelection) {
        
        mWorkbench = pWorkbench;
        mPage = new NewUnoFilePage("configuration", pSelection); //$NON-NLS-1$

        addPage(mPage);
    }
}
